Bug 492407 - NV34GL: rendercheck crashes the server (2009-03-26 Test Day) [NEEDINFO]
NV34GL: rendercheck crashes the server (2009-03-26 Test Day)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 14:33 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.hutterer: needinfo? (notting)
mcepl: needinfo? (notting)


Attachments (Terms of Use)
rendercheck log (14.05 KB, text/plain)
2009-03-26 14:33 EDT, Bill Nottingham
no flags Details
X log (54.75 KB, text/plain)
2009-03-26 14:33 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2009-03-26 14:33:12 EDT
Description of problem:
rendercheck crashes the server.

lspci:
00:00.0 Host bridge: Intel Corporation E7505 Memory Controller Hub (rev 03)
00:00.1 Class ff00: Intel Corporation E7505/E7205 Series RAS Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation E7505/E7205 PCI-to-AGP Bridge (rev 03)
00:02.0 PCI bridge: Intel Corporation E7505 Hub Interface B PCI-to-PCI Bridge (rev 03)
00:02.1 Class ff00: Intel Corporation E7505 Hub Interface B PCI-to-PCI Bridge RAS Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV34GL [Quadro FX 500/600 PCI] (rev a1)
02:1c.0 PIC: Intel Corporation 82870P2 P64H2 I/OxAPIC (rev 04)
02:1d.0 PCI bridge: Intel Corporation 82870P2 P64H2 Hub PCI Bridge (rev 04)
02:1e.0 PIC: Intel Corporation 82870P2 P64H2 I/OxAPIC (rev 04)
02:1f.0 PCI bridge: Intel Corporation 82870P2 P64H2 Hub PCI Bridge (rev 04)
03:03.0 Ethernet controller: Intel Corporation 82545EM Gigabit Ethernet Controller (Copper) (rev 01)

No xorg.conf. Xorg.log attached.

Version-Release number of selected component (if applicable):

kernel-2.6.29-0.258.2.3.rc8.git2.fc11.i686.PAE
xorg-x11-drv-nouveau-0.0.12-10.20090310git8f9a580.fc11.i586
Comment 1 Bill Nottingham 2009-03-26 14:33:32 EDT
Created attachment 336859 [details]
rendercheck log
Comment 2 Bill Nottingham 2009-03-26 14:33:59 EDT
Created attachment 336860 [details]
X log
Comment 3 Bill Nottingham 2009-03-26 14:48:51 EDT
It doesn't always seem to crash at that place. Here's one crash backtrace w/debuginfo, though:

Program received signal SIGSEGV, Segmentation fault.
0x08099de3 in getValuatorEvents (events=<value optimized out>, 
    pDev=<value optimized out>, first_valuator=<value optimized out>, num_valuators=2, 
    valuators=0xbfcbc060) at getevents.c:502
502	        switch (num_valuators - i) {
(gdb) bt
#0  0x08099de3 in getValuatorEvents (events=<value optimized out>, 
    pDev=<value optimized out>, first_valuator=<value optimized out>, num_valuators=2, 
    valuators=0xbfcbc060) at getevents.c:502
#1  0x0809af6a in GetPointerEvents (events=0x8a206e0, pDev=0x8b32b20, type=6, buttons=0, 
    flags=<value optimized out>, first_valuator=0, num_valuators=2, valuators=0xbfcbc060)
    at getevents.c:1028
#2  0x080d1748 in xf86PostMotionEventP (device=0x8b32b20, is_absolute=0, 
    first_valuator=0, num_valuators=2, valuators=0xbfcbc060) at xf86Xinput.c:774
#3  0x0071025d in ?? () from /usr/lib/xorg/modules/input//evdev_drv.so
#4  0x080c0e97 in xf86SigioReadInput (fd=12, closure=0x8b31be0) at xf86Events.c:311
#5  0x080b15e4 in xf86SIGIO (sig=29) at ../shared/sigio.c:114
#6  <signal handler called>
#7  0x004c8416 in __kernel_vsyscall ()
#8  0x003bc84d in ___newselect_nocancel () from /lib/libc.so.6
#9  0x0812ba67 in WaitForSomething (pClientsReady=0x8b2dab8) at WaitFor.c:228
#10 0x08086510 in Dispatch () at dispatch.c:367
#11 0x0806badd in main (argc=8, argv=0xbfcbcb94, envp=0xbfcbcbb8) at main.c:397
(gdb)
Comment 4 Bill Nottingham 2009-03-26 14:55:22 EDT
... which, upon actually reading it, looks completely unrelated to render. Weird.
Comment 5 Ben Skeggs 2009-03-26 18:53:07 EDT
Yeah, it actually looks completely unrelated to the graphics stack at all actually.  I'll CC Peter as it seems to be input-related :)
Comment 6 Peter Hutterer 2009-03-27 01:35:31 EDT
have you ever seen this crash before? I very much doubt that it's related to rendercheck at all.

fwiw, it's in the signal handler for mouse motion events, so it'll happen when you either move or drag the mouse. That's about as specific as it gets.
Comment 7 Bill Nottingham 2009-03-27 10:51:13 EDT
No, and I can't reproduce it in brief trying either.
Comment 8 Peter Hutterer 2009-03-30 20:21:06 EDT
I'll reset the NEEDINFO flag until we can find a reproducible case.

I ran rendercheck for hours on friday while wriggling the mouse and didn't observe a crash. I also don't really see how it could crash there unless we have memory corruption happening before.
Comment 9 Bug Zapper 2009-06-09 08:40:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matěj Cepl 2009-11-05 13:23:49 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Matěj Cepl 2010-02-26 07:23:37 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 12 Bug Zapper 2010-04-27 09:20:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 07:34:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.